package com.cusc.nirvana.user.rnr.fp.service;

import com.cusc.nirvana.common.result.Response;
import com.cusc.nirvana.user.rnr.fp.dto.SmsRequestDTO;
import com.cusc.nirvana.user.rnr.fp.dto.SmsResponseDTO;

public interface ShortMessageCheckService {
    Response<SmsResponseDTO> sendSmsCaptcha(SmsRequestDTO bean);

    Response checkSmsCaptcha(SmsRequestDTO bean);

    Response<SmsResponseDTO> sendUnbindSms(SmsRequestDTO bean, String rnrId, String iccids);

    Response<SmsResponseDTO> sendSms(SmsRequestDTO bean);
}
